curl --request POST \
--url https://api.cadanapay.com/v1/files/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"purpose": "kyc-id-front",
"contentType": "image/jpeg"
}
'{
"fileId": "517075a2-17db-469f-9481-eb8347cb920c",
"putUrl": "https://cadana-kyc.s3.amazonaws.com/tmp/file_9c52fa2e ?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=…",
"expiresIn": 900
}Reserve a file ID and receive a short-lived HTTPS PUT URL.
After the client uploads the bytes to that URL, it can reference
fileId in later API calls (e.g. Beneficiary creation KYC).
curl --request POST \
--url https://api.cadanapay.com/v1/files/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"purpose": "kyc-id-front",
"contentType": "image/jpeg"
}
'{
"fileId": "517075a2-17db-469f-9481-eb8347cb920c",
"putUrl": "https://cadana-kyc.s3.amazonaws.com/tmp/file_9c52fa2e ?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=…",
"expiresIn": 900
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
Logical reason for the upload
kyc-id-front, kyc-id-back, kyc-selfie, kyc-id-selfie, kyb-incorporation-document, kyb-tax-certificate, kyb-address-proof, kyc-address-proof, reimbursements-proof, business-onboarding-document, contract "kyc-id-front"
MIME type that must be used in the PUT request
"image/jpeg"